Bug 684810 - TLS options in documentation are not valid for MozNSS
Summary: TLS options in documentation are not valid for MozNSS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openldap
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: ---
Assignee: Jan Vcelak
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-14 15:04 UTC by Ondrej Moriš
Modified: 2013-03-04 01:28 UTC (History)
6 users (show)

Fixed In Version: openldap-2.4.23-18.el6
Doc Type: Bug Fix
Doc Text:
- always - slapd-config(5) and ldap.conf(5) manual pages contain incorrect information about TLS settings - upstream patch applied, which updates TLS documentation relevant for Mozilla NSS crypto library - slapd-config(5) and ldap.conf(5) contain more accurate information about TLS settings
Clone Of:
Environment:
Last Closed: 2011-12-06 12:12:23 UTC
Target Upstream Version:


Attachments (Terms of Use)
Test case (30.00 KB, application/x-tar)
2011-03-14 15:04 UTC, Ondrej Moriš
no flags Details
proposed fix for manual pages (10.00 KB, patch)
2011-08-24 12:54 UTC, Jan Vcelak
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1514 normal SHIPPED_LIVE openldap bug fix and enhancement update 2011-12-06 00:51:20 UTC

Description Ondrej Moriš 2011-03-14 15:04:08 UTC
Created attachment 484213 [details]
Test case

Description of problem:

When setting TLSCACertificatePath to NSS DB, SSL/TLS does not work.

Version-Release number of selected component (if applicable):

openldap-2.4.23-12.el6

How reproducible:

Always.

Steps to Reproduce:

1. install beakerlib
2. download attached test
2. bash runtest.sh
  
Actual results:

:: [   PASS   ] :: No SSL/TLS
:: [   FAIL   ] :: TLS (Expected 0, got 1)
:: [   FAIL   ] :: SSL (Expected 0, got 255)

Additional info:

As you can see from attached ldap.conf, TLS_CACERTDIR works fine with NSS DB, but TLSCACertificatePath does not (see slapd.conf). I am not sure that it is allowed to set this directive to NSS DB since slapd.conf(5) does not contain any details about using NSS DB. But according to the Admin Guide [1], it should work. 

[1] http://www.openldap.org/doc/admin24/tls.html

Comment 14 Jan Vcelak 2011-08-24 12:54:05 UTC
Created attachment 519629 [details]
proposed fix for manual pages

Attaching proposed patch. All changes are pulled from upstream.

The changes target only ldap.conf(5) and slapd-config(5), not obsoleted slapd.conf(5).

Comment 16 Jan Vcelak 2011-08-26 11:05:50 UTC
Fixed in openldap-2.4.23-18.el6

Comment 19 Jan Vcelak 2011-08-26 12:58:27 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
- always
- slapd-config(5) and ldap.conf(5) manual pages contain incorrect information about TLS settings
- upstream patch applied, which updates TLS documentation relevant for Mozilla NSS crypto library
- slapd-config(5) and ldap.conf(5) contain more accurate information about TLS settings

Comment 21 errata-xmlrpc 2011-12-06 12:12:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1514.html


Note You need to log in before you can comment on or make changes to this bug.